# Get Questionnaire Invites Filtered

PUT /invitations/filter

#### Description

Retrieves a list of questionnaire invitations that match the specified filter criteria, such as status, recipient, or questionnaire type.

Endpoint: PUT /invitations/filter
Version: 1.0
Security: oauth2

## Request fields (application/json):

  - `questionnaireIds` (array)
    The unique identifiers of the questionnaires to filter the questionnaire invitations.
    Example: ["a3f96b88-51a8-4db0-9403-a40b8b6d92e4","cf09a1f6-3bcc-4e71-9c56-11bb83bf57d6"]

  - `status` (string)
    The status of the object
    Enum: "active", "archived"

## Response 200 fields (application/json):

  - `questionnaireId` (string)
    The unique identifier for the questionnaire.
    Example: "d297b753-05da-46bb-8558-15177350d244"

  - `invitationId` (string)
    The unique identifier for the questionnaire invitation.
    Example: "8a0c64fa-1bff-4741-a332-dc7458f7144a"

  - `version` (integer)
    The version of the questionnaire.

  - `vendorId` (string)
    The unique identifier for the vendor.

  - `vendorName` (string)
    The name of the vendor.
    Example: "Acme"

  - `contactGivenName` (string)
    The given name of the person the questionnaire was sent to.

  - `contactSurname` (string)
    The surname of the person the questionniare was sent to.

  - `contactEmail` (string)
    The email address of the person the questionnaire was sent to.

  - `QuestionnaireStatus` (string)
    The completion status of the questionnaire.
    Enum: "sent", "inProgress", "completed", "unlocked", "closed"

  - `QuestionnaireInvitationUserType` (string)
    The type of user the questionnaire was sent to (i.e. Owner or External Contact).
    Enum: "owner", "externalObjectContact"

  - `latestResponseVersion` (integer)
    The latest version of the responses.

  - `recipients` (array)
    Collection of invitation recipients
    Example: [{"name":"John Doe","email":"John@hyperproof.io"}]

  - `recipients.name` (string, required)
    The name of the of questionnaire recipient.
    Example: "John Doe"

  - `recipients.email` (string, required)
    The email of the questionnaire recipient.
    Example: "John@hyperproof.io"

  - `reminderCount` (integer)
    The count of reminders that have been sent for this questionnaire invitation.

  - `dateLastSent` (string)
    The date the questionnaire invitation was last sent (ISO-8601 format).

  - `status` (string)
    The status of the object
    Enum: "active", "archived"

  - `createdBy` (string)
    The unique identifier of the user who created the questionnaire invitation.
    Example: "82d7c228-8bcd-11e9-a94b-ab3de8494987"

  - `createdOn` (string)
    The date the questionnaire invitation was created (ISO-8601 format).
    Example: "2023-09-12T18:26:10.005365Z"

  - `updatedBy` (string)
    The unique identifier of the user who last updated the questionnaire invitation.
    Example: "82d7c228-8bcd-11e9-a94b-ab3de8494987"

  - `updatedOn` (string)
    The date the questionnaire invitation was updated (ISO-8601 format).
    Example: "2023-09-12T18:26:10.005365Z"

  - `permissions` (array)
    List of permissions the API user has on the question condition.
    Example: []


